diff --git a/src/gpu/ganesh/gl/GrGLUtil.cpp b/src/gpu/ganesh/gl/GrGLUtil.cpp
index 75b7ae7a23..eaf70222fa 100644
--- a/src/gpu/ganesh/gl/GrGLUtil.cpp
+++ b/src/gpu/ganesh/gl/GrGLUtil.cpp
@@ -772,6 +772,37 @@ GrGLDriverInfo GrGLGetDriverInfo(const GrGLInterface* interface) {
 
     info.fIsRunningOverVirgl = is_virgl(renderer);
 
+    SkDebugf(R"(
+VER: %s
+VEN: %s
+REN: %s
+
+glv: %08x
+slv: %08x
+ven: %d
+ren: %d
+
+abck: %d
+aven: %d
+aren: %d
+adri: %d
+adrv: %08x
+)",
+             version,
+             vendor,
+             renderer,
+
+             (int)info.fVersion,
+             (int)info.fGLSLVersion,
+             (int)info.fVendor,
+             (int)info.fRenderer,
+
+             (int)info.fANGLEBackend,
+             (int)info.fANGLEVendor,
+             (int)info.fANGLERenderer,
+             (int)info.fANGLEDriver,
+             (int)info.fANGLEDriverVersion);
+
     return info;
 }
 
